Bug 1835265 - GnuTLS FIPS selftest fails on Fedora
Summary: GnuTLS FIPS selftest fails on Fedora
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnutls
Version: 32
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Anderson Sasaki
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-13 13:56 UTC by Andreas Schneider
Modified: 2020-05-16 03:39 UTC (History)
7 users (show)

Fixed In Version: gnutls-3.6.13-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-16 03:39:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Andreas Schneider 2020-05-13 13:56:30 UTC
Description of problem:

$ GNUTLS_FORCE_FIPS_MODE=1 certtool
Error in GnuTLS initialization: Error while performing self checks.
global_init: Error while performing self checks.


This is required to run the Samba selftest FIPS testsuite in CI!

Comment 1 Fedora Update System 2020-05-13 17:37:07 UTC
FEDORA-2020-11f6533eb8 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-11f6533eb8

Comment 2 Fedora Update System 2020-05-14 04:31:43 UTC
FEDORA-2020-11f6533eb8 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-11f6533eb8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-11f6533eb8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2020-05-16 03:39:19 UTC
FEDORA-2020-11f6533eb8 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.